name: app_sudoku
description: The final assembled Sudoku Game application.
version: 1.0.0+1
publish_to: 'none'
resolution: workspace

environment:
  sdk: '^3.9.2'

dependencies:
  flutter:
    sdk: flutter
  # 1. UI 뼈대 (홈, 설정, 랭킹...)
  feature_common:
    path: ../../packages/feature_common

  # 2. 스도쿠 게임 UI (게임 화면)
  feature_game_sudoku:
    path: ../../packages/feature_game_sudoku

  # 3. 공통 로직/서비스 (ThemeNotifier 등)
  service_api:
    path: ../../packages/service_api

  # 4. 앱 레벨에서 Provider를 설정
  provider: ^6.0.0
  
  # 5. AdMob 초기화 (main.dart에서 필요)
  google_mobile_ads: ^5.0.0

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^3.0.0
flutter:
  uses-material-design: true